Bug 1281888 - Permissions issues on /etc/check_mk/conf.d/wato and /etc/check_mk/multisite.d
Permissions issues on /etc/check_mk/conf.d/wato and /etc/check_mk/multisite.d
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: check-mk (Show other bugs)
el6
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrea Veri
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 12:28 EST by Matt Pusateri
Modified: 2016-03-06 21:23 EST (History)
1 user (show)

See Also:
Fixed In Version: check-mk-1.2.6p16-2.fc23 check-mk-1.2.6p16-2.fc22 check-mk-1.2.6p16-2.el7 check-mk-1.2.6p16-2.el6 check-mk-1.2.6p16-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-22 20:23:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Pusateri 2015-11-13 12:28:40 EST
Description of problem:
When trying to run check-mk-multisite, I got browser errors as certain directories didn't have the right permissions. and contacts.mk file didn't exist.

/etc/check_mk/conf.d/wato
/etc/check_mk/conf.d/wato/contacts.mk


Version-Release number of selected component (if applicable):
check-mk-livestatus-1.2.6p9-1.el6.x86_64
check-mk-1.2.6p9-1.el6.x86_64
check-mk-multisite-1.2.6p9-1.el6.noarch

How reproducible:


Steps to Reproduce:
1. yum install check-mk check-mk-multisite
2. Configure /etc/httpd/conf.d/{nagios.conf,zzz_check_mk_conf}
3. Start nagios and apache
4. browse to http://server_name/check_mk/

Actual results:
Browser errors that 
/etc/check_mk/conf.d/wato/contacts.mk didn't have the right perms and 
/etc/check_mk/multisite.d wasn't writeable.


Expected results:


Additional info:

Apache is in the nagios group so I chown'd them as nagios, though I think apache would work and might be a better group ownership if your trying to make it work with icinga or shinken.

touch /etc/check_mk/conf.d/wato/contacts.mk
chown -vR root:nagios /etc/check_mk/conf.d/wato
chmod -vR 770 /etc/check_mk/conf.d/wato
chown -vR root:nagios etc/check_mk/multisite.d
chmod -vR 770 /etc/check_mk/multisite.d

Multisite needs to be able to crate /etc/check_mk/multisite.d/wato/users.mk
Comment 1 Andrea Veri 2015-12-03 12:03:41 EST
Thanks for your report, I'll be dealing with this and other reported issues very soon.
Comment 2 Fedora Update System 2016-02-19 14:52:45 EST
check-mk-1.2.6p16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5e44413b03
Comment 3 Fedora Update System 2016-02-19 14:52:45 EST
check-mk-1.2.6p16-1.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d46254c783
Comment 4 Fedora Update System 2016-02-19 14:52:46 EST
check-mk-1.2.6p16-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5e44413b03
Comment 5 Fedora Update System 2016-02-19 14:52:59 EST
check-mk-1.2.6p16-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b265e8374d
Comment 6 Fedora Update System 2016-02-19 14:53:00 EST
check-mk-1.2.6p16-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b86cee6cb6
Comment 7 Fedora Update System 2016-02-20 12:12:16 EST
check-mk-1.2.6p16-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a7f76bc91
Comment 8 Fedora Update System 2016-02-20 12:12:17 EST
check-mk-1.2.6p16-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-41fedd9ffa
Comment 9 Fedora Update System 2016-02-20 12:12:26 EST
check-mk-1.2.6p16-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-db20dc38ac
Comment 10 Fedora Update System 2016-02-20 12:12:28 EST
check-mk-1.2.6p16-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6565234a4e
Comment 11 Fedora Update System 2016-02-20 12:12:37 EST
check-mk-1.2.6p16-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56173e9c72
Comment 12 Fedora Update System 2016-02-21 01:21:11 EST
check-mk-1.2.6p16-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-41fedd9ffa
Comment 13 Fedora Update System 2016-02-21 01:47:54 EST
check-mk-1.2.6p16-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-56173e9c72
Comment 14 Fedora Update System 2016-02-21 01:53:13 EST
check-mk-1.2.6p16-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-db20dc38ac
Comment 15 Fedora Update System 2016-02-21 12:58:15 EST
check-mk-1.2.6p16-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4a7f76bc91
Comment 16 Fedora Update System 2016-02-21 13:27:33 EST
check-mk-1.2.6p16-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6565234a4e
Comment 17 Fedora Update System 2016-02-22 20:22:58 EST
check-mk-1.2.6p16-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2016-03-02 16:51:23 EST
check-mk-1.2.6p16-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-03-05 20:26:24 EST
check-mk-1.2.6p16-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2016-03-06 17:27:49 EST
check-mk-1.2.6p16-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2016-03-06 21:23:48 EST
check-mk-1.2.6p16-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.